package cn.superdesk.uniorder.dao.mapper.operationCenter;

import cn.superdesk.uniorder.dao.entity.operationCenter.UnifiedPaymentCustomer;
import cn.superdesk.uniorder.dao.entity.operationCenter.OperationCenterPaymentCustomerExample;
import java.util.List;

import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Param;

public interface UnifiedPaymentCustomerMapper {
    long countByExample(OperationCenterPaymentCustomerExample example);

    int deleteByExample(OperationCenterPaymentCustomerExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UnifiedPaymentCustomer record);

    int insertSelective(UnifiedPaymentCustomer record);

    List<UnifiedPaymentCustomer> selectByExample(OperationCenterPaymentCustomerExample example);

    UnifiedPaymentCustomer selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UnifiedPaymentCustomer record, @Param("example") OperationCenterPaymentCustomerExample example);

    int updateByExample(@Param("record") UnifiedPaymentCustomer record, @Param("example") OperationCenterPaymentCustomerExample example);

    int updateByPrimaryKeySelective(UnifiedPaymentCustomer record);

    int updateByPrimaryKey(UnifiedPaymentCustomer record);


    @Delete("delete from unified_payment_customer where payment_id = #{paymentId}")
    void deleteByPaymentId(Long paymentId);
}